import java.util.*;
/**
 * ListadoMensajes es una clase que almacena una secuencia de mensajes
 */
public class ListadoMensajes
{
    // atributos privados
    private ArrayList<Mensaje> seq;
    private int current=0;

    /**
     * Constructor que crea la secuencia vacia
     */
    public ListadoMensajes()
    {
        seq = new ArrayList<Mensaje>();
    }

    /**
     * Anadir el mensaje m al final de la secuencia
     */
    public void anade(Mensaje m)
    {
        seq.add(m);
    }
    
    /**
     * Reiniciar la secuencia para poder recorrerla
     */
    public void reinicia() {
        current=0;
    }
    
    /**
     * obtener el elemento actual en la secuencia
     */
    public Mensaje mensajeActual() {
        if (current>=seq.size()) {
            return null;
        } else {
            return seq.get(current);
        }
    }
     
    /**
     * Avanza al siguiente elemento
     */
    public void avanza() {
        current++;
    }
    
    /**
     * Indica si estamos en el final de la secuencia
     */
    public boolean finalSecuencia() {
        return current>=seq.size();
    }
}
