import java.util.Calendar;

/**
 * Clase que representa un mensaje de alarma
 */
public class Mensaje
{
   // atributos privados
   private int hora;
   private int minuto;
   private int tipo;
   private String texto;
   
   /** 
    * Construye el mensaje a partir del tipo y del texto, rellenando
    * con la hora actual los atributos de la hora y minuto
    */
   public Mensaje(int tipo, String texto) {
      this.tipo=tipo;
      this.texto=texto;
      Calendar rightNow = Calendar.getInstance();
      hora=rightNow.get(Calendar.HOUR_OF_DAY);
      minuto=rightNow.get(Calendar.MINUTE);
   }
   
   public Mensaje(int tipo, String texto, int hora, int minuto) {
      this.tipo=tipo;
      this.texto=texto;
      this.hora=hora;
      this.minuto=minuto;
   }
   
   /** Retorna la hora a la que se genero el mensaje */
   public int hora() {
       return hora;
   }

   /** Retorna el minuto a la que se genero el mensaje */
   public int minuto() {
       return minuto;
   }

   /** Retorna el tipo de mensaje */
   public int tipo() {
       return tipo;
   }

   /** Retorna el texto del mensaje */
   public String texto() {
       return texto;
   }
}
